## python-phx-class-registry 3.0.5

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = ClassRegistry
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-phx-class-registry (3.0.5-4) unstable; urgency=medium

  * Team Upload.
  * Test-depends on python3-all to make autopkgtest work
    with all supported pyversions (Closes: #1025115)
  * Add d/salsa-ci.yml

 -- Nilesh Patra <nilesh@debian.org>  Sat, 10 Dec 2022 12:30:42 +0530

python-phx-class-registry (3.0.5-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.
  * Set upstream metadata fields: Repository.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 16 Oct 2022 22:20:27 +0100

python-phx-class-registry (3.0.5-2) unstable; urgency=medium

  * Mark python-phx-class-registry-doc Multi-Arch: foreign
  * Add autopkgtest debian/tests/register.py

 -- Emanuele Rocca <ema@debian.org>  Wed, 28 Sep 2022 10:15:49 +0200

python-phx-class-registry (3.0.5-1) unstable; urgency=medium

  * Initial release (Closes: #1019928)

 -- Emanuele Rocca <ema@debian.org>  Fri, 16 Sep 2022 16:40:08 +0200

=== debian/control ===
Source: python-phx-class-registry
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Emanuele Rocca <ema@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-pytest,
               python3-setuptools,
               python3-sphinx,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/todofixthis/class-registry
Vcs-Git: https://salsa.debian.org/python-team/packages/python-phx-class-registry.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-phx-class-registry

Package: python3-phx-class-registry
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-pkg-resources
Provides: ${python3:Provides}
Description: Module to define global factories and service registries
 At the intersection of the Registry and Factory patterns lies the
 ClassRegistry.
 .
 This module allows to:
 .
  * Define global factories that generate new class instances based on
    configurable keys.
  * Seamlessly create powerful service registries.
  * Integrate with setuptools's entry_points system to make registries
    extensible by 3rd-party libraries.
 .
 This package provides the Python 3 version of the class_registry module.

Package: python-phx-class-registry-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Module to define global factories and service registries - Documentation
 At the intersection of the Registry and Factory patterns lies the
 ClassRegistry.
 .
 This module allows to:
 .
  * Define global factories that generate new class instances based on
    configurable keys.
  * Seamlessly create powerful service registries.
  * Integrate with setuptools's entry_points system to make registries
    extensible by 3rd-party libraries.
 .
 This package provides the documentation for the class_registry module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=phx-class-registry

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs build/html

## python-phx-class-registry 4.1.0

=== docs/requirements.txt ===
# https://docs.readthedocs.io/en/stable/guides/reproducible-builds.html#id6
sphinx
sphinx_rtd_theme

=== debian/changelog ===
python-phx-class-registry (4.1.0-2) unstable; urgency=medium

  * Team upload.
  * Drop extraneous dependency on python3-pkg-resources (Clsoes: #1083677)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 18 Jan 2025 16:28:43 +0100

python-phx-class-registry (4.1.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 4.1.0
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Add B-D on python3-sphinx-rtd-theme
  * Move back and forth egg-info test directory to prevent
    pybuild from removing it (Closes: #1052821)
  * Remove pytest from B-D

 -- Nilesh Patra <nilesh@debian.org>  Fri, 03 Nov 2023 23:34:10 +0530

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Emanuele Rocca <ema@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
-               python3-pytest,
                python3-setuptools,
                python3-sphinx,
-Standards-Version: 4.6.1
+               python3-sphinx-rtd-theme
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/todofixthis/class-registry
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-phx-class-registry.git
@@ -17,7 +17,7 @@
 
 Package: python3-phx-class-registry
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-pkg-resources
+Depends: ${misc:Depends}, ${python3:Depends}
 Provides: ${python3:Provides}
 Description: Module to define global factories and service registries
  At the intersection of the Registry and Factory patterns lies the

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=phx-class-registry

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	mv test/dummy_package.egg-info test/dummy_package
	dh_auto_clean
	mv test/dummy_package test/dummy_package.egg-info

execute_after_dh_auto_build:
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs build/html

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-phx-class-registry-$1\.tar\.gz/ \
   https://github.com/todofixthis/class-registry/tags .*/v?(\d\S*)\.tar\.gz
